Bug Hunting Session
Bug 112723 - Java-based extension installation leads to unhelpful error message when Java is not present or not found
Summary: Java-based extension installation leads to unhelpful error message when Java ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Java-Runtime-JRE Extension-Manager
  Show dependency treegraph
 
Reported: 2017-09-28 14:57 UTC by Alex Thurgood
Modified: 2018-09-30 02:50 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of error message (100.44 KB, image/png)
2017-09-28 14:59 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2017-09-28 14:57:39 UTC
Description:
Attempting to install the LanguageTool extension leads to the display of an unhelpful error message :

"Could not create Java implementation loader"

Steps to Reproduce:
1. Install a daily dev build
2. Try to install the latest version of the LanguageTool extension (currently 3.9)
3. Note the error when the install attempts to proceed

Actual Results:  
Displays an unhelpful error

Expected Results:
Should display a message that the user can work with, something useful like "You need a JRE/JDK" or "You  have an incorrect JDK version installed, please try a different one."


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.12; rv:55.0) Gecko/20100101 Firefox/55.0
Comment 1 Alex Thurgood 2017-09-28 14:59:20 UTC
Created attachment 136589 [details]
Screenshot of error message
Comment 2 Yousuf Philips (jay) (retired) 2017-09-28 15:05:23 UTC
Setting to NEW as steve said it happened to him as well.

There are two occurrences of the text 'Could not create Java implementation loader' in the code.

https://opengrok.libreoffice.org/xref/core/stoc/source/javaloader/javaloader.cxx
Comment 3 Yousuf Philips (jay) (retired) 2017-09-28 15:12:31 UTC
I can confirm that i see the same error dialog if i disable the java checkbox in the options dialog, so likely seeing this error just means that java isnt detected/enabled.

Version: 6.0.0.0.alpha0+
Build ID: 892c719fffa06de4c7aeab497326cad7bae9e5c6
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-27_03:02:09
Locale: en-US (en_US.UTF-8); Calc: group
Comment 4 Yousuf Philips (jay) (retired) 2017-09-29 03:41:21 UTC
As this error message is invoked from multiple places, we need a generic message that works everywhere, something like "Java is required for this operation but wasn't found. Please ensure that it is enabled and active in Tools > Options > Advanced."

Adolfo, Heiko, Stuart: any suggestions on the text.

Maxim, Samuel: does this text correctly cover all scenarios for when the message would appear. also the text is found twice in the file, so can we unify the string so translators only have to translate it once.
Comment 5 Heiko Tietze 2017-09-29 07:44:39 UTC
(In reply to Yousuf Philips (jay) from comment #4)
> "Java is required for this operation but wasn't found. Please ensure 
> that it is enabled and active in Tools > Options > Advanced."

'Enabled and active' might be confusing. How about "Please ensure to have Java Runtime Environment (jre) installed on your system and enabled in LibreOffice under Tools > Options > Advanced."
Comment 6 QA Administrators 2018-09-30 02:50:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug